{% extends 'base.html' %}

{% block title %}Zamki{% endblock %}


{% block stylesheet %}
    <link rel="stylesheet" href="{{ url_for('static', filename = 'css/stylesTableLocks.css')}}">
{% endblock %}


{% block article %}
{#    <h1>Lista sal</h1>#}
{#    <div class="article">#}
{#        <div class="tileDiv">#}
{##}
{#            <div class="umiejsowienie">#}
{#                <div class="kafelka">#}
{#                    <div class="top">#}
{#                        <h1>101</h1>#}
{#                    </div>#}
{#                    <div class="bottom">#}
{#                        <button class="tileButton">[O]</button>#}
{#                    </div>#}
{#                </div>#}
{#            </div>#}
{##}
{##}
{#        </div>#}
{#    </div>#}

    <div class="article" id="">

        <input type="text" class="live-search-box" placeholder="Szukaj" id="searchbar">
        <table >
            <tr>
                <th>Zdjęcie</th>
                <th>Imie i nazwisko</th>
                <th>Tag</th>
                <th>Dane</th>
                <th>Uprawnienia</th>
                <th>Blokowanie</th>
                <th>Administrator</th>
                <th>Uaktualnienie zmian</th>
            </tr>
            {% for row in user_rows %}
            {% if row.email != None %}
            <tr class="live-search-list" id="cos">
                {% if row.picture == None %}
                <td class="img"><img src="{{ url_for('static', filename='img/user_image.jpg') }}" alt="User picture"></td>
                {% else %}
                <td class="img"><img src="{{ row.picture }}" alt="User picture"></td>
                {% endif %}

                <td>{{ row.imie }} {{ row.nazwisko }}</td>

                {% if row.tag == None %}
                <td>Brak tagu</td>
                {% else %}
                <td>{{ row.tag }}</td>
                {% endif %}

                {% if row.email == none or row.imie == none or row.nazwisko == none or row.oddzial == none or row.klasa == none or row.tag == none %}
                <td><a class="tableButton" href="{{ url_for('locks_fill_data', user_id = row.id_users, bool = True) }}">UZUPEŁNIJ</a></td>
                <td><a class="tableButton" style="opacity: 70%">UPRAWNIENIIA</a></td>
                {% else %}
                <td><a class="tableButton" href="{{ url_for('locks_fill_data', user_id = row.id_users, bool = False) }}">ZMIEŃ</a></td>
                <td><a class="tableButton" href="{{ url_for('prv', imie = row.imie, nazwisko = row.nazwisko, user_id = row.id_users) }}">UPRAWNIENIIA</a></td>
                {% endif %}

                {% if current_user.id_users != row.id_users %}
                    <form action="{{ url_for('admin_or_block_handler', id = row.id_users) }}" method="POST">
                        {% if row.block == True %}
                            <td><input type="checkbox" id="fname" name="block" checked="True"> Block</td>
                        {% else %}
                            <td><input type="checkbox" id="fname" name="block"> Block</td>
                        {% endif %}

                        {% if row.admin == True %}
                            <td><input type="checkbox" id="fname" name="admin" checked="True"> Admin</td>
                        {% else %}
                            <td><input type="checkbox" id="fname" name="admin"> Admin</td>
                        {% endif %}

                        <td><label for="fname"></label><input id="submitButton" type="submit" value="Update"></td>
                    </form>
                {% endif %}
            </tr>
            {% endif %}
            {% endfor %}
        </table>
    </div>

{% endblock %}


{% block scripts %}
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="{{ url_for('static', filename = 'js/scriptPage.js')}}" type="text/javascript"></script>
    <script src="{{ url_for('static', filename = 'js/scriptSearch.js')}}" type="text/javascript"></script>
{% endblock %}